## ocaml-expect 0.0.2

=== Makefile ===
################################################################################
#  ocaml-expect: Expect-like framework for OCaml                               #
#                                                                              #
#  Copyright (C) 2010, OCamlCore SARL                                          #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

default: test 
#TESTFLAGS=-verbose

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

headache:
	find ./ -name _darcs -prune -false -o -name _build -prune \
	  -false -o -type f \
	  | xargs headache -h _header -c _headache.config

.PHONY: headache

=== debian/changelog ===
ocaml-expect (0.0.2-1build4) quantal; urgency=low

  * No change rebuild for new pcre-ocaml ABI

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 15 May 2012 22:57:35 -0500

ocaml-expect (0.0.2-1build3) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:06:06 +0000

ocaml-expect (0.0.2-1build2) precise; urgency=low

  * Rebuild for new libextlib-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 11:43:01 +0100

ocaml-expect (0.0.2-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:54 -0600

ocaml-expect (0.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #603829)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 19 Nov 2010 17:34:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/libexpect-ocaml-dev'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-expect 0.0.3

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 #  along with this library; if not, write to the Free Software Foundation,     #
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
 ################################################################################
+
+#TESTFLAGS += -only-test Expect:5:stderr
+#TESTFLAGS += -verbose
 
 default: test 
 #TESTFLAGS=-verbose

=== debian/changelog ===
ocaml-expect (0.0.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 21:53:17 +0000

ocaml-expect (0.0.3-1) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 11:58:40 +0100

ocaml-expect (0.0.3-1~exp1) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Lifeng Sun ]
  * New upstream release.
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.4.
    - Canonical VCS-* fields.
  * debian/copyright: switch to dep5 format.
  * Bump debhelper compat.
  * Add watch file.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 27 Jul 2013 18:56:21 +0800

=== debian/control ===
Source: ocaml-expect
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Build-Depends:
  ocaml-nox (>= 4.00.1),
  ocaml-findlib (>= 1.4),
  ocaml-base-nox,
  libpcre-ocaml-dev,
  libounit-ocaml-dev,
  libextlib-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://forge.ocamlcore.org/projects/ocaml-expect/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-expect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-expect.git

Package: libexpect-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Expect-like framework for OCaml - development files
 This is a simple implementation of `expect` to help building unitary testing
 of interactive program.
 .
 It helps to receive question and send answers from an interactive process.
 You can match the question using a regular expression (Str). You can also
 use a timeout to ensure that the process answer in time.
 .
 See the [Expect manual](http://expect.nist.gov/) for more information and
 example.

Package: libexpect-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Expect-like framework for OCaml
 This is a simple implementation of `expect` to help building unitary testing
 of interactive program.
 .
 It helps to receive question and send answers from an interactive process.
 You can match the question using a regular expression (Str). You can also
 use a timeout to ensure that the process answer in time.
 .
 See the [Expect manual](http://expect.nist.gov/) for more information and
 example.
 .
 This package contains the shared runtime libraries.

## ocaml-expect 0.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 ################################################################################
-#  ocaml-expect: Expect-like framework for OCaml                               #
+#  ocaml-expect: Expect-like framework                                         #
 #                                                                              #
+#  Copyright (C) 2013, Sylvain Le Gall                                         #
 #  Copyright (C) 2010, OCamlCore SARL                                          #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
@@ -19,14 +20,10 @@
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
 ################################################################################
 
-#TESTFLAGS += -only-test Expect:5:stderr
-#TESTFLAGS += -verbose
-
-default: test 
-#TESTFLAGS=-verbose
+default: test
 
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
 
 SETUP = ocaml setup.ml
 
@@ -39,7 +36,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -51,10 +48,10 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
@@ -64,9 +61,66 @@
 
 # OASIS_STOP
 
+# Precommit target
+#  Check style of code.
+PRECOMMIT_ARGS= \
+	    --exclude myocamlbuild.ml \
+	    --exclude setup.ml \
+	    --exclude README.txt \
+	    --exclude INSTALL.txt \
+	    --exclude Makefile \
+	    --exclude configure \
+	    --exclude _tags
+
+precommit:
+	@if command -v OCamlPrecommit > /dev/null; then \
+	  OCamlPrecommit $(PRECOMMIT_ARGS); \
+	else \
+	  echo "Skipping precommit checks.";\
+	fi
+
+precommit-full:
+	OCamlPrecommit --full $(PRECOMMIT_ARGS)
+
+test: precommit
+
+.PHONY: precommit
+
+# Fix perms target
+#  Fix missing permission for darcs VCS files.
+fix-perms:
+	# TODO: chmod +x doc-dist.sh
+
+.PHONY: fix-perms
+
+# Headache target
+#  Fix license header of file.
+
 headache:
-	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -type f \
+	find ./ \
+	  -name _darcs -prune -false \
+	  -name .git -prune -false \
+	  -name .svn -prune -false \
+	  -o -name _build -prune -false \
+	  -o -name dist -prune -false \
+	  -o -name '*[^~]' -type f \
 	  | xargs headache -h _header -c _headache.config
 
 .PHONY: headache
+
+# Deploy target
+#  Deploy/release the software.
+
+deploy: headache fix-perms
+	# TODO: create a plugin to create documentation.
+	# oasis doc-dist
+	admin-gallu-deploy --verbose \
+	  --forge_upload --forge_group ocaml-expect --forge_user gildor-admin
+	# TODO: when oasis doc-dist will work, re-add.
+	#  --forge_extra_file "dist/ocaml-expect-doc-$(shell oasis query version).tar.gz"
+	# TODO: create a plugin to send announcement.
+	# oasis announce
+	admin-gallu-oasis-increment \
+	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
+
+.PHONY: deploy

=== debian/changelog ===
ocaml-expect (0.0.5-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:22:06 +0200

ocaml-expect (0.0.5-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 14:15:11 +0200

ocaml-expect (0.0.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Update copyright

  [ Lifeng Sun ]
  * Bump Standards-Version to 3.9.5.

  [ Sylvain Le Gall ]
  * New upstream release.
  * Depends on batteries and OUnit >= 2.0.0.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Mar 2014 09:12:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
-  ocaml-nox (>= 4.00.1),
-  ocaml-findlib (>= 1.4),
+  ocaml-nox,
+  ocaml-findlib,
   ocaml-base-nox,
   libpcre-ocaml-dev,
-  libounit-ocaml-dev,
-  libextlib-ocaml-dev,
+  libounit-ocaml-dev (>= 2.0.0),
+  libbatteries-ocaml-dev,
   dh-ocaml (>= 0.9~),
+  ocamlbuild,
   debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://forge.ocamlcore.org/projects/ocaml-expect/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-expect.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-expect.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-expect.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-expect.git
 
 Package: libexpect-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export OCAMLFIND_DESTDIR
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:

=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/?group_id=177 .*/ocaml-expect-([0-9\.]*)\.tar\.gz

## ocaml-expect 0.0.6

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	    --exclude _tags
 
 precommit:
-	@if command -v OCamlPrecommit > /dev/null; then \
+	-@if command -v OCamlPrecommit > /dev/null; then \
 	  OCamlPrecommit $(PRECOMMIT_ARGS); \
 	else \
 	  echo "Skipping precommit checks.";\
@@ -104,14 +104,14 @@
 	  -o -name _build -prune -false \
 	  -o -name dist -prune -false \
 	  -o -name '*[^~]' -type f \
-	  | xargs headache -h _header -c _headache.config
+	  | xargs /usr/bin/headache -h _header -c _headache.config
 
 .PHONY: headache
 
 # Deploy target
 #  Deploy/release the software.
 
-deploy: headache fix-perms
+deploy: fix-perms
 	# TODO: create a plugin to create documentation.
 	# oasis doc-dist
 	admin-gallu-deploy --verbose \

=== debian/changelog ===
ocaml-expect (0.0.6-4build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:56:10 +0200

ocaml-expect (0.0.6-4build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:18:27 +0200

ocaml-expect (0.0.6-4build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 21:57:49 +0100

ocaml-expect (0.0.6-4build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:24:57 +0100

ocaml-expect (0.0.6-4build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:41:24 +0200

ocaml-expect (0.0.6-4build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:20 +0200

ocaml-expect (0.0.6-4build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:09 +0200

ocaml-expect (0.0.6-4build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:46:25 +0200

ocaml-expect (0.0.6-4) unstable; urgency=medium

  * Team upload
  * Fix compilation with recent toolchain (Closes: #1074732, #1073894)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Jul 2024 05:13:02 +0200

ocaml-expect (0.0.6-3) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Fix debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Sep 2023 09:16:15 +0200

ocaml-expect (0.0.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml-re instead of pcre-ocaml
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Set upstream metadata fields
  * Update pattern for GitHub archive URLs

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Dec 2021 11:49:38 +0100

ocaml-expect (0.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #944599)
  * Update debian/watch and Homepage
  * Remove Lifeng from Uploaders (Closes: #925064)
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Aug 2020 10:08:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,22 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
-  ocaml-nox,
+  ocaml,
   ocaml-findlib,
-  ocaml-base-nox,
-  libpcre-ocaml-dev,
+  libcamlp-streams-ocaml-dev,
+  libre-ocaml-dev,
   libounit-ocaml-dev (>= 2.0.0),
   libbatteries-ocaml-dev,
-  dh-ocaml (>= 0.9~),
+  liboasis-ocaml-dev,
+  dh-ocaml,
   ocamlbuild,
-  debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://forge.ocamlcore.org/projects/ocaml-expect/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-expect.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-expect.git
+  debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/gildor478/ocaml-expect
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-expect.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-expect
 
 Package: libexpect-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

SETUP := ocaml -I +compiler-libs -I +camlp-streams camlp_streams.cma setup.ml

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	$(SETUP) -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/libexpect-ocaml-dev'

override_dh_auto_build:
	$(SETUP) -build
	$(SETUP) -doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SETUP) -test
endif

override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(SETUP) -install

override_dh_auto_clean:
	$(SETUP) -distclean
